/* -*-c-*-
 *
 * $Id: mdwfocus.h,v 1.4 2000/08/15 22:40:15 mdw Exp $
 *
 * Tell my hacked `fvwm' to focus this window
 *
 * (c) 1998 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the mgLib GTK utilities library.
 *
 * mgLib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * mgLib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with mgLib; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: mdwfocus.h,v $
 * Revision 1.4  2000/08/15 22:40:15  mdw
 * Change guard constants.
 *
 * Revision 1.3  1999/05/06 19:51:48  mdw
 * Reformatted the LGPL notice a little bit.
 *
 * Revision 1.2  1999/05/05 18:52:45  mdw
 * Change licensing conditions to LGPL.
 *
 * Revision 1.1  1998/12/11 09:44:21  mdw
 * Initial version.
 *
 */

#ifndef MGLIB_MDWFOCUS_H
#define MGLIB_MDWFOCUS_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#include <gtk/gtk.h>

/*----- Functions provided ------------------------------------------------*/

/* --- @mdwfocus@ --- *
 *
 * Arguments:	@GtkWidget *w@ = widget to mark as must-be-focussed.
 *
 * Returns:	---
 *
 * Use:		Marks a window as wanting to have focus `anyway', even if
 *		normally disabled.  This only works with my hacked `fvwm'
 *		version.
 */

extern void mdwfocus(GtkWidget */*w*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
